services:
  web:
    image: docker.arimelody.space/arimelody-web:latest
    build: .
    ports:
      - 8080:8080
    volumes:
      - ./uploads:/app/uploads
      - ./config.toml:/app/config.toml
    environment:
      ARIMELODY_CONFIG: config.toml
  db:
    image: postgres:16.1-alpine3.18
    volumes:
      - arimelody-db:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: # your database name here!
      POSTGRES_USER: # your database user here!
      POSTGRES_PASSWORD: # your database password here!

volumes:
  arimelody-db:
    external: true
